%global momorel 30

Summary: An implementation of the Scheme programming language.
Name: umb-scheme
Version: 3.2
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Languages
Source: http://www.cs.umb.edu/~bill/scheme/%{name}-%{version}.tar.gz
#Source: ftp://ftp.cs.umb.edu/pub/scheme/%{name}-%{version}.tar.Z
Source1: http://swissnet.ai.mit.edu/ftpdir/scm/slib2c9.zip
Source2: slibcat
Patch0: umb-scheme-3.2-misc.patch
Patch1: umb-scheme-3.2-texinfo.patch
Patch2: umb-scheme-3.2-config.patch
Patch3: umb-scheme-3.2-man.patch
Patch4: umb-scheme-3.2-chapter.patch
Patch5: umb-scheme-3.2-slib2c7.patch
Patch6: umb-scheme-3.2-share.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: unzip
URL: http://www.cs.umb.edu/~bill/bio.html
#URL: ftp://ftp.cs.umb.edu/pub/scheme/
PreReq: info

%description
UMB Scheme is a public domain implementation of the Scheme programming
language.  Scheme is a statically scoped and properly tail-recursive
dialect of the Lisp programming language, designed with clear and
simple semantics and a minimal number of ways to form expressions.

Install the umb-scheme package if you need an implementation of the
Scheme programming language.

%prep
%setup -q -n scheme-%{version}
rm -fr slib
unzip -q -o %{SOURCE1}
%patch0 -p1 -b .misc
# do not add -b at %patch1 ;-)
%patch1 -p1
%patch2 -p1 -b .config
%patch3 -p1 -b .man
%patch4 -p1 -b .chapter
%patch5 -p1 -b .slib2c7
%patch6 -p1

%build
make "RPM_OPT_FLAGS=%{optflags}"
makeinfo scheme.texinfo

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_bindir},%{_infodir},%{_datadir}/umb-scheme,%{_mandir}/man1}

install -s -m755 scheme %{buildroot}%{_bindir}/umb-scheme
install -m755 scheme.1 %{buildroot}%{_mandir}/man1/umb-scheme.1
install -m644 %{SOURCE2} %{buildroot}%{_datadir}/umb-scheme/slibcat

find slib | cpio -pdm %{buildroot}%{_datadir}/umb-scheme
install -m644 prelude.scheme %{buildroot}%{_datadir}/umb-scheme

install -m644 scheme.info %{buildroot}%{_infodir}/umb-scheme.info
# gzip -9nf %{buildroot}%{_infodir}/umb-scheme.info

chmod -x %{buildroot}%{_mandir}/*/*

ln -s mklibcat.scm %{buildroot}%{_datadir}/umb-scheme/slib/mklibcat

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/install-info %{_infodir}/umb-scheme.info %{_infodir}/dir \
  --section="The Algorithmic Language Scheme" \
  --entry="* umb-scheme: (umb-scheme).                     UMB Scheme Interpreter." || :

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/umb-scheme.info %{_infodir}/dir || :
fi

%files
%defattr(-,root,root)
%doc slib/ANNOUNCE slib/FAQ slib/README
%attr(0755,root,root) %{_bindir}/umb-scheme
%attr(0755,root,root) %dir %{_datadir}/umb-scheme
%attr(0644,root,root) %{_datadir}/umb-scheme/prelude.scheme
%attr(0644,root,root) %{_datadir}/umb-scheme/slibcat
%attr(0755,root,root) %dir %{_datadir}/umb-scheme/slib
%attr(0644,root,root) %{_datadir}/umb-scheme/slib/*
%{_mandir}/man1/umb-scheme.1*
%{_infodir}/umb-scheme.info*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.2-30m)
- rebuild against rpm-4.6

* Sat Nov 15 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.2-29m)
- add --section option of install-info

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.2-28m)
- rebuild against gcc43

* Wed Jun  2 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.2-27m)
- add source

* Wed Nov  5 2003 Shotaro Kamio <skamio@momonga-linux.org>
- changed URL

* Sun May 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.2-26m)
- modifiled %post and %preun section from info.* to info

* Mon Jan 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.2-25k)
- update slib to 2c9
- added /usr/share/umb-scheme/slib/mklibcat by link

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Sat Aug 19 2000 Toru Hoshina <t@kondara.org>
- rebuild.

* Thu Jul 27 2000 AYUHANA Tomonori <l@kondara.org>
- (3.2-13k)
- SPEC fixed ( BuildRoot )
- add -b at %patch

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to slib 2c8

* Sat Jun 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix wacky permissions in slib directory (bug #11871)

* Sun Jun  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- FHS fixes
- move slib to %%{_datadir}

* Sat Apr 08 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (3.2-11).

* Tue Feb  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- update slib to version 2c7
- generate new catalog for slib and include it

* Thu Feb  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove executable bit from man page (Bug #9035)
- deal with RPM compressing man pages

* Sat Nov 27 1999 Shingo Akagaki <dora@kondara.org>
- no source

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- install-info

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
